commit d61a2058c66022a5ca98dff1f685f8bd1068049e
parent 5f682d0fa1b42a7747b6ba2c75266c25e25c0475
Author: Vincent Forest <vincent.forest@meso-star.com>
Date: Tue, 9 Jun 2026 14:29:27 +0200
Add the build script for Line By Line Utils 0.0
Diffstat:
2 files changed, 38 insertions(+), 2 deletions(-)
diff --git a/config.mk b/config.mk
@@ -67,14 +67,17 @@ MIRROR_GIT_OPT = --depth 1
# URLs for online repositories
REPO_ONLINE = https://gitlab.com/meso-star
REPO_BIN_ONLINE = https://www.meso-star.com/packages/v0.4
+REPO_EDSTAR_ONLINE = https://www.edstar.cnrs.fr/git
REPO_VAPLV_ONLINE = https://gitlab.com/vaplv
# URLs for offline repositories
REPO_OFFLINE = "file://$$(cd $(MIRROR) && pwd)"
-REPO_BIN_OFFLINE = "file://$$(cd $(MIRROR) && pwd)"
-REPO_VAPLV_OFFLINE = "file://$$(cd $(MIRROR) && pwd)"
+REPO_BIN_OFFLINE = $(REPO_OFFLINE)
+REPO_EDSTAR_OFFLINE = $(REPO_OFFLINE)
+REPO_VAPLV_OFFLINE = $(REPO_OFFLINE)
# List of repositories to use depending on the state of the network
REPO = $(REPO_$(NETWORK))
REPO_BIN = $(REPO_BIN_$(NETWORK))
+REPO_EDSTAR = $(REPO_EDSTAR_$(NETWORK))
REPO_VAPLV = $(REPO_VAPLV_$(NETWORK))
diff --git a/src/rad-libs/lblu_0.1.sh b/src/rad-libs/lblu_0.1.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+name="lblu"
+tag="0.1"
+
+if [ -n "${LBLU_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${LBLU_SH}"
+else
+ export LBLU_SH="${tag}"
+
+ url="$\(REPO_EDSTAR\)/lblu.git"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi